curl --request GET \
--url https://api.blaxel.ai/v0/models \
--header 'Authorization: Bearer <token>'[
{
"metadata": {
"name": "my-resource",
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "My Resource",
"labels": {},
"plan": "<string>",
"url": "<string>",
"workspace": "<string>"
},
"spec": {
"enabled": true,
"flavors": [
{
"name": "t4",
"type": "cpu"
}
],
"integrationConnections": [
"<string>"
],
"policies": [
"<string>"
],
"runtime": {
"endpointName": "<string>",
"generation": "mk3",
"model": "gpt-4.1",
"organization": "org-abc123",
"type": "openai"
},
"sandbox": false
},
"events": [
{
"canaryRevision": "<string>",
"message": "Deployment successful",
"revision": "rev-abc123",
"status": "DEPLOYED",
"time": "2025-01-15T10:30:00Z",
"type": "deployment"
}
],
"status": "DELETING"
}
]Returns all model gateway endpoints configured in the workspace. Each model represents a proxy to an external LLM provider (OpenAI, Anthropic, etc.) with unified access control.
curl --request GET \
--url https://api.blaxel.ai/v0/models \
--header 'Authorization: Bearer <token>'[
{
"metadata": {
"name": "my-resource",
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "My Resource",
"labels": {},
"plan": "<string>",
"url": "<string>",
"workspace": "<string>"
},
"spec": {
"enabled": true,
"flavors": [
{
"name": "t4",
"type": "cpu"
}
],
"integrationConnections": [
"<string>"
],
"policies": [
"<string>"
],
"runtime": {
"endpointName": "<string>",
"generation": "mk3",
"model": "gpt-4.1",
"organization": "org-abc123",
"type": "openai"
},
"sandbox": false
},
"events": [
{
"canaryRevision": "<string>",
"message": "Deployment successful",
"revision": "rev-abc123",
"status": "DEPLOYED",
"time": "2025-01-15T10:30:00Z",
"type": "deployment"
}
],
"status": "DELETING"
}
]OAuth2 authentication with JWT tokens
successful operation
Common metadata fields shared by all Blaxel resources including name, labels, timestamps, and ownership information
Show child attributes
Configuration for a model gateway endpoint including provider type, credentials, and access policies
Show child attributes
Events happening on a resource deployed on Blaxel
Show child attributes
Deployment status of a resource deployed on Blaxel
DELETING, TERMINATED, FAILED, DEACTIVATED, DEACTIVATING, UPLOADING, BUILDING, DEPLOYING, DEPLOYED Was this page helpful?